<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <androidx.appcompat.widget.AppCompatImageView
        android:id="@+id/iv_top_bg"
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:src="@mipmap/ic_push_top_bg"
        app:layout_constraintDimensionRatio="h,1125:467"
        app:layout_constraintTop_toTopOf="parent" />

    <com.angcyo.tablayout.DslTabLayout
        android:id="@+id/tabLayout"
        android:layout_width="match_parent"
        android:layout_height="@dimen/dp_40"
        android:layout_marginTop="@dimen/dp_54"
        app:layout_constraintTop_toTopOf="parent"
        app:tab_deselect_color="@color/color_1a1a1a"
        app:tab_enable_gradient_text_size="false"
        app:tab_enable_text_bold="false"
        app:tab_item_auto_equ_width="false"
        app:tab_select_color="@color/color_1a1a1a"
        app:tab_text_max_size="@dimen/sp_18"
        app:tab_text_min_size="@dimen/sp_14" />

    <androidx.viewpager.widget.ViewPager
        android:id="@+id/viewPager"
        android:layout_width="match_parent"
        android:layout_height="0dp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintTop_toBottomOf="@id/tabLayout" />

    <com.example.base.widget.EmptyView
        android:id="@+id/emptyView"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="@color/white" />

    <androidx.appcompat.widget.AppCompatImageView
        android:id="@+id/iv_add"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:src="@mipmap/ic_push_float_icon"
        android:layout_marginBottom="@dimen/dp_100"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent" />
</androidx.constraintlayout.widget.ConstraintLayout>